package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
* 区域设置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class RegionBackVO extends RegionBaseVO {

    @ApiModelProperty(value = "地区id")
    private Long id;

    @ApiModelProperty(value = "国家中文名称")
    private String countryTitleZh;
    @ApiModelProperty(value = "国家英文名称")
    private String countryTitleEn;
    @ApiModelProperty(value = "国家法文名称")
    private String countryTitleFr;

    @ApiModelProperty(value = "城市中文名称")
    private String cityTitleZh;
    @ApiModelProperty(value = "城市英文名称")
    private String cityTitleEn;
    @ApiModelProperty(value = "城市法文名称")
    private String cityTitleFr;

}
